#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ReturnBenifitSignCFGData
{
	//天数
	int mDay;
	//奖励物品
	int mItem;
	//奖励数量
	int mItemCount;
};

class M_ReturnBenifitSignCFG
{
public:
private:
	static std::auto_ptr<M_ReturnBenifitSignCFG> msSingleton;
public:
	int GetCount();
	const M_ReturnBenifitSignCFGData* GetData(int Day);
	boost::unordered_map<int, M_ReturnBenifitSignCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ReturnBenifitSignCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ReturnBenifitSignCFGData> mMapData;
};
